Best Way to Upgrade a Phat PSP to latest CFW

Discussion in 'PSP - Games & Content' started by DMC23, Sep 5, 2010.

  1. DMC23
    OP

    DMC23 Member

    Newcomer
    26
    0
    Mar 14, 2009
    United States
    I have an extra Phat PSP (original - bought on launch night original LOL). I put it to the side when I got my PSP-2000. However, a few months ago, I tried to upgrade from M33 to 5.50GEN-D(Full). I followed the instructions and everything seemed to work fine. The system info even lists the system software as 5.50GEN-D(Full). However, non of the GEN-D ISOs will work. The M33 isos will work, just like before I tried to upgrade. But nothing GEN. So, truthfully, I have no idea what happened. What is the best way to upgrade the system to the latest CFW? And what CFW should I go with? Any advice would be welcome.
     
  2. DarkShinigami

    DarkShinigami #1 strongest Shinigami BANKAI

    Member
    1,857
    84
    Sep 12, 2009
    United States
    Soul Society
    in my opinion you should use Prometheus or m33-6 Prometheus is a ore stable gen-d without an bugs like boot issues. it is even compatible with the latest games a few without patching such as khbbs
     
  3. luke_c

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    Uh, no.
    The Prometheus firmware(s) are far from stable, and it also incorporates an outdated Prometheus module. Why on Earth would you want to go to the Prometheus firmware(s)?
    Also I think you shall find that in order to play Birth by Sleep you need to use a Prometheus module to patch it, so yes, the firmware does patch it.
    Another problem is that you can't run pre-patched ISOs, which I am sure many people like to go for and download these days (I have no idea why they would do that as you have no idea what they have done to the ISO.)

    What do you mean by none of the D3 ISOs will work? If they worked on M33 then really they should work on D3 aswell, what were some of the games you were trying to play on D3?
     
  4. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    For example - Sega Rally (don't know if it's region specific), Jak and Daxter the Lost Frontier(US) and others are broken by the GEN D3 firmware.
     
  5. Ryupower

    Ryupower Brood

    Member
    2,898
    423
    Oct 8, 2007
    United States
    i have 5.00 m33-6

    i use the M33_620 Plugin
    and
    Prometheus patch games that need it (using Iso_tools, to patch the games)

    most games run Fine
     
  6. cracker

    cracker Nyah!

    Member
    3,142
    409
    Aug 24, 2005
    United States
    I have tried Jak and Daxter with GEN-D3 with Prometheus v4 and have been able to play it through the first few levels without a problem.

    Also I have been able to run other new, problematic titles without issues via this setup.
     
  7. DMC23
    OP

    DMC23 Member

    Newcomer
    26
    0
    Mar 14, 2009
    United States
    Okay, it was late and I was tired [​IMG] I have only tried a few isos and csos. However, the ones that run on a m33 system still work, but those that say patched for GEN do not (such as Klown's). My question is how should I go about attempting to upgrade again? Is there an all in one style upgrade program that would do all the upgrading itself? Should I completely start over from scratch (I do have a Pandora/MMS)? If so, what's the best way to start over from scratch?
     
  8. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    HOLD IT!
    There has been a recent Prometheus update in both the 5.03 and 5.50 category, where the module is updated to version 6, and in 5.03's case, there's a revamped VSH & Recovery menu.
     
  9. luke_c

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    You're saying that getting the v6 module two months after it has been released is a good thing? When v7 comes out, the Prometheus firmware, will once again be outdated.
    I would rather keep a higher compatibility rate and patch the ISOs myself.
     
  10. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Except patching the ISO myself didn't work for BBS, so I had to switch to Prometheus in order to play it.
     
  11. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    The EU version works fine on GEN as noted in my post, as should a hex edited version.